Qt Reference Documentation

# QStyleOptionTabBarBaseV2 Class Reference

The QStyleOptionTabBarBaseV2 class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with. More...

     #include <QStyleOptionTabBarBaseV2>

Inherits: QStyleOptionTabBarBase.

This class was introduced in Qt 4.5.

- List of all members, including inherited members

## Public Types

enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionTabBarBaseV2 ()
| QStyleOptionTabBarBaseV2 ( const QStyleOptionTabBarBaseV2 & other )
| QStyleOptionTabBarBaseV2 ( const QStyleOptionTabBarBase & other )
QStyleOptionTabBarBaseV2 & | operator= ( const QStyleOptionTabBarBase & other )

- 2 public functions inherited from QStyleOption

## Public Variables

bool | documentMode

- 3 public variables inherited from QStyleOptionTabBarBase
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionTabBarBaseV2 class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with.

QStyleOptionTabBarBase contains all the information that QStyle functions need to draw the tab bar base.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QTabBar::drawBase().

## Member Type Documentation

### enum QStyleOptionTabBarBaseV2::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBaseV2::Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionTabBarBaseV2::QStyleOptionTabBarBaseV2 ()

Construct a QStyleOptionTabBarBaseV2, initializing the members vaiables to their default values.

### QStyleOptionTabBarBaseV2::QStyleOptionTabBarBaseV2 ( const QStyleOptionTabBarBaseV2 & other )

Constructs a copy of other.

### QStyleOptionTabBarBaseV2::QStyleOptionTabBarBaseV2 ( const QStyleOptionTabBarBase & other )

Constructs a copy of other.

### QStyleOptionTabBarBaseV2 & QStyleOptionTabBarBaseV2::operator= ( const QStyleOptionTabBarBase & other )

Constructs a QStyleOptionTabBarBaseV2 copy of the other style option which can be either of the QStyleOptionTabBarBaseV2, or QStyleOptionTabBarBase types.

If the other style option's version is not 1, the new style option's `documentMode` is set to false. If its version is 2, its `documentMode` value is simply copied to the new style option.

## Member Variable Documentation

### bool QStyleOptionTabBarBaseV2::documentMode

This variable holds whether the tabbar is in document mode.

The default value is false;